com.fasterxml.jackson.databind.introspect

## Class TypeResolutionContext.Empty

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.TypeResolutionContext.Empty

All Implemented Interfaces:
  TypeResolutionContext

Enclosing interface:
  TypeResolutionContext

    public static class TypeResolutionContext.Empty
    extends Object
    implements TypeResolutionContext

Dummy implementation for case where there are no bindings available (for example, for static methods and fields)

Since:
  2.11.3

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.introspect.TypeResolutionContext

`TypeResolutionContext.Basic, TypeResolutionContext.Empty`

### Constructor Summary

Constructors
Constructor and Description
`Empty(TypeFactory tf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JavaType` `resolveType(Type type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Empty

    public Empty(TypeFactory tf)

### Method Detail

#### resolveType

    public JavaType resolveType(Type type)

Specified by:
  `resolveType` in interface `TypeResolutionContext`